GNU bug report logs - #20749
11.88; Meta Bug: Long standing preview bug with TIKZ (6 years!?)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: kuerzn@HIDDEN; merged with #20726; dated Fri, 5 Jun 2015 20:29:01 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2015 15:52:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 11:52:59 2015
Received: from localhost ([127.0.0.1]:45382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1zMA-0007NV-CE
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:52:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44318)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zM8-0007NH-83
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:52:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zM2-0002am-2s
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:52:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 PLING_QUERY autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40637)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zM2-0002ab-0l
 for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:52:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57804)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zM0-0001m3-Qj
 for bug-auctex@HIDDEN; Mon, 08 Jun 2015 11:52:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zLw-0002Tg-Qp
 for bug-auctex@HIDDEN; Mon, 08 Jun 2015 11:52:48 -0400
Received: from plane.gmane.org ([80.91.229.3]:35716)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zLw-0002RO-Kp
 for bug-auctex@HIDDEN; Mon, 08 Jun 2015 11:52:44 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1Z1zLo-0003Ih-Ev
 for bug-auctex@HIDDEN; Mon, 08 Jun 2015 17:52:36 +0200
Received: from mathsrv4.ulb.ac.be ([164.15.133.241])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Mon, 08 Jun 2015 17:52:36 +0200
Received: from theonewiththeevillook by mathsrv4.ulb.ac.be with local (Gmexim
 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Mon, 08 Jun 2015 17:52:36 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-auctex@HIDDEN
From: "Nicolas Richard" <theonewiththeevillook@HIDDEN>
Subject: Re: bug#20749: 11.88;
 Meta Bug: Long standing preview bug with TIKZ (6 years!?)
Date: Mon, 08 Jun 2015 17:52:23 +0200
Lines: 30
Message-ID: <874mmiqjt4.fsf@HIDDEN>
References: <20150605202400.GB27664@HIDDEN> <87pp566wm8.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: mathsrv4.ulb.ac.be
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
Cancel-Lock: sha1:1etVZIlMcF5TCpm77xJpRz+zDww=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Tassilo Horn <tsdh@HIDDEN> writes:

> kuerzn@HIDDEN writes:
>
> Hi!
>
>> The preview feature is not working for people that have
>>
>> \usepackage{tikz}
>>
>> and some other common stuff in their document. This is really a pity.
>
> Yes, I know.  Unfortunately, my TeX/PostScript knowledge is far too
> limited to do anything about it.
>
>> How can we actually solve this problem?
>
> Find someone with the right skills who knows how to fix the issue.  At
> least this issue has the benefit of being easy to reproduce, e.g., this
> MWD will do.

Isn't this https://sourceforge.net/p/pgf/bugs/316/ again ?

For some reason, it seems that upstream is not fixing it even though a
patch is available. FWIW I've been running with that patch for a few
months have yet to see a problem with it.


-- 
Nicolas Richard





Information forwarded to bug-auctex@HIDDEN:
bug#20749; Package auctex. Full text available.
Merged 20726 20749. Request was from Tassilo Horn <tsdh@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20749 <at> debbugs.gnu.org:


Received: (at 20749) by debbugs.gnu.org; 8 Jun 2015 15:36:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 08 11:36:08 2015
Received: from localhost ([127.0.0.1]:45362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z1z5r-0006yw-I0
	for submit <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:36:07 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:39860)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1Z1z5n-0006yn-TI
 for 20749 <at> debbugs.gnu.org; Mon, 08 Jun 2015 11:36:05 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 68240215E4
 for <20749 <at> debbugs.gnu.org>; Mon,  8 Jun 2015 11:36:03 -0400 (EDT)
Received: from frontend2 ([10.202.2.161])
 by compute6.internal (MEProxy); Mon, 08 Jun 2015 11:36:03 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=IJgOSyPHaUvP7gxDX1CQrZvFnPQ=; b=VHePQ
 Qv0BxYMS2q7izmjXmyD1HsbtJfHDjcXPfCeMzN9oDfOMkitZt+Is4lx/aWKOQziU
 8iBP+eCXbLiZHrtkRst2UVteyijijNT+GUFInE2FC7H0HLxf1+ObZmHifmsbERFM
 jhI87YNA9wE4RyJRDB5Pc9zB2OvNk6ZZtUjxZM=
X-Sasl-enc: yirW8kp8l2BdAzT+5usTqW7txGZO4nkTktd3Dxfr/lUx 1433777762
Received: from thinkpad-t440p (unknown [2.162.161.54])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1F43A6801CE;
 Mon,  8 Jun 2015 11:36:01 -0400 (EDT)
From: Tassilo Horn <tsdh@HIDDEN>
To: kuerzn@HIDDEN
Subject: Re: bug#20749: 11.88;
 Meta Bug: Long standing preview bug with TIKZ (6 years!?)
References: <20150605202400.GB27664@HIDDEN>
Date: Mon, 08 Jun 2015 17:35:59 +0200
In-Reply-To: <20150605202400.GB27664@HIDDEN> (kuerzn@HIDDEN's
 message of "Fri, 5 Jun 2015 22:24:00 +0200")
Message-ID: <87pp566wm8.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 20749
Cc: 20749 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

kuerzn@HIDDEN writes:

Hi!

> The preview feature is not working for people that have
>
> \usepackage{tikz}
>
> and some other common stuff in their document. This is really a pity.

Yes, I know.  Unfortunately, my TeX/PostScript knowledge is far too
limited to do anything about it.

> How can we actually solve this problem?

Find someone with the right skills who knows how to fix the issue.  At
least this issue has the benefit of being easy to reproduce, e.g., this
MWD will do.

--8<---------------cut here---------------start------------->8---
\documentclass[a4paper]{article}
\usepackage{lipsum}
\usepackage{tikz}

\begin{document}
\(a\)

\lipsum{}

B \(b\).  C \(c\).  D \(d\).
\end{document}
--8<---------------cut here---------------end--------------->8---

> At least a workaround?

No, sorry I don't know any workaround except for commenting out the
\usepackage{tikz} when generating previews. :-(

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#20749; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2015 20:28:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 05 16:28:56 2015
Received: from localhost ([127.0.0.1]:42207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Z0yEZ-0006Pq-9R
	for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:28:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47391)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0yA1-0006J1-7G
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:24:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0y9v-0000gc-4G
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:24:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 PLING_QUERY autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48777)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0y9v-0000gY-16
 for submit <at> debbugs.gnu.org; Fri, 05 Jun 2015 16:24:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60898)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0y9t-0003e0-VT
 for bug-auctex@HIDDEN; Fri, 05 Jun 2015 16:24:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0y9q-0000gG-PO
 for bug-auctex@HIDDEN; Fri, 05 Jun 2015 16:24:05 -0400
Received: from gerer.name ([109.75.189.61]:37851 helo=mail.gerer.name)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kuerzn@HIDDEN>) id 1Z0y9q-0000g6-J6
 for bug-auctex@HIDDEN; Fri, 05 Jun 2015 16:24:02 -0400
Received: from debussy.localdomain (p5DDBA121.dip0.t-ipconnect.de
 [93.219.161.33])
 by mail.gerer.name (Postfix) with ESMTPSA id 6F023418F2;
 Fri,  5 Jun 2015 22:25:08 +0200 (CEST)
Received: by debussy.localdomain (Postfix, from userid 1000)
 id 5DF774A0B53; Fri,  5 Jun 2015 22:24:00 +0200 (CEST)
Date: Fri, 5 Jun 2015 22:24:00 +0200
From: kuerzn@HIDDEN
To: bug-auctex@HIDDEN
Subject: 11.88; Meta Bug: Long standing preview bug with TIKZ (6 years!?)
Message-ID: <20150605202400.GB27664@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 05 Jun 2015 16:28:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

Dear Auctex team!

The preview feature is not working for people that have

\usepackage{tikz}

and some other common stuff in their document. This is really a pity.

How can we actually solve this problem?

At least a workaround?

Filing Bugs does not seem to lead anywhere, considering that it was filed
at least eight times (see below).

Apr 2015

   #20388 11.88; Preview images misaligned when tikz package is loaded
   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20388

Mar 2015

   #20115 11.88; Preview images get mis-aligned
   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20115

Jan 2015

   #19499 11.88; preview-buffer with tikz and \newpage produces off by one
    image placement.
   http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19499

Sep 2014

    preview latex fails part way through documen
    https://lists.gnu.org/archive/html/bug-auctex/2014-09/msg00000.html

Apr 2014

    preview not working when using tikz/pgf3.
    https://lists.gnu.org/archive/html/bug-auctex/2014-04/msg00012.html

Apr 2014

    Preview fails for all when using pgf 3.0.0
    https://lists.gnu.org/archive/html/bug-auctex/2014-04/msg00000.html
    Downstream: https://trac.macports.org/ticket/43189

Mar 2014

    Tikz and Maketitle problem
    https://lists.gnu.org/archive/html/bug-auctex/2014-03/msg00007.html
    https://lists.gnu.org/archive/html/bug-auctex/2014-06/msg00021.html

Mar 2009

    TikZ breaks preview
    https://lists.gnu.org/archive/html/bug-auctex/2009-03/msg00009.html

Thanks, Bye

Sehr


Emacs  : GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.2)
 of 2015-04-20 on bitzer.hoetzel.info
Package: 11.88

current state:
==============
(setq
 AUCTeX-date "2014-10-29"
 window-system 'x
 LaTeX-version "2e"
 TeX-auto-save t
 TeX-parse-self t
 TeX-master nil
 )




Acknowledgement sent to kuerzn@HIDDEN:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#20749; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Jun 2015 16:00:06 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.